<template>
    <v-card :color="color"  class="mx-auto mt-3" width="700" @mouseover="color='grey'" @mouseleave="color='white'">
        <v-container>
            <v-row align="center">    
                <v-col>
                    <v-row> 
                        <h2 style="cursor: pointer" @click="openLocation"> {{location.name}}
                        </h2>
                    </v-row>
                    <v-row>
                        <v-col>
                            <span>Type : <v-chip>{{location.type}}</v-chip></span>
                        </v-col>
                        <v-col>
                            <span>Dimension : {{location.dimension}}</span>
                        </v-col>
                    </v-row>
                    <v-row>
                        <span>Created at : {{getCreatedAt}}</span>
                    </v-row>
                </v-col>
                <v-col cols="1" style="cursor: pointer" @click="openLocation">
                    <v-icon>mdi-eye</v-icon>
                </v-col>
            </v-row>
            <v-row>
                <v-expansion-panels>
                    <v-expansion-panel>
                        <v-expansion-panel-header>
                         Residents
                        </v-expansion-panel-header>
                        <v-expansion-panel-content>
                        <v-container>
                            <v-row v-for="character in location.residents" :key="character">
                                <residents-location :character="character"/>
                            </v-row>
                        </v-container>
                        </v-expansion-panel-content>
                    </v-expansion-panel>
            </v-expansion-panels>
            </v-row>
        </v-container>
    </v-card>
</template>
<script>
import moment from 'moment'
import ResidentsLocation from './Elements/residentsLocation.vue';

export default {
  components: {ResidentsLocation  },
    props: {location: null},
    data: () => ({
        color: 'white',
  }),
  computed: {
      getCreatedAt(){
          return moment(this.location.created).format("DD/MM/yyyy");
      }
  },
  methods: {
      openLocation(){
          this.$router.push({name: 'location',query: { id: this.location.id },});
      },
  }
    
}
</script>
<style>

</style>